using System;
using System.Data;
using System.Configuration;
using System.Web;
using System.Web.Security;
using System.Web.UI;
using System.Web.UI.WebControls;
using System.Web.UI.WebControls.WebParts;
using System.Web.UI.HtmlControls;
using Telerik.Web.UI;


public partial class _Default : System.Web.UI.Page
{
    protected void Page_Load(object sender, EventArgs e)
    {
        if (!this.IsPostBack)
        {
            foreach (RadTreeNode node in RadTreeView1.GetAllNodes())
            {
                node.Attributes["id"] = node.ClientID;
             //   this.RadToolTip2.TargetControls.Add(node.ClientID, true);
            }
        }
    }

    protected void RadToolTip2_AjaxUpdate(object sender, ToolTipUpdateEventArgs e)
    {
            lblToolTip.Visible = false;
            e.UpdatePanel.ContentTemplateContainer.Controls.Add(lblToolTip);


            lblToolTip.Text = e.TargetControlID;

            if (lblToolTip.Text.Length > 0) lblToolTip.Visible = true;


    }
   
    protected void RadTreeView1_NodeExpand1(object sender, RadTreeNodeEventArgs e)
    {
        RadTreeNode node = new RadTreeNode("child");
        e.Node.Nodes.Clear();
        e.Node.Nodes.Add(node);
        node.Attributes["id"] = node.ClientID;
        node.ExpandMode = TreeNodeExpandMode.ServerSide;
        this.RadToolTip2.TargetControls.Add(node.ClientID, true);  
    }
}
